﻿@model PrimerAvanze.Models.IndexViewModel
@{
    ViewBag.Title = "Gestiona tu cuenta";
}


<!-- ======= Contact Section ======= -->
<section class="breadcrumbs">
    <div class="container">

        <div class="d-flex justify-content-between align-items-center">
            <h2>Gestiona tu cuenta</h2>
            <ol>
                <li><a href="~/">Inicio</a></li>
                <li>Gestiona tu cuenta</li>
            </ol>
        </div>

    </div>
</section><!-- End Contact Section -->
<!-- ======= Contact Section ======= -->
<section class="contact" data-aos="fade-up" data-aos-easing="ease-in-out" data-aos-duration="500">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <section id="loginForm">
                    <p>
                        @(Model.HasPassword ? Html.ActionLink("Change your password", "ChangePassword")
                : Html.ActionLink("Pick a password", "SetPassword"))
                    </p>
                    <p>
                        Phone Number: @(Model.PhoneNumber ?? "None") [
                        @if (Model.PhoneNumber != null)
                        {
                            @Html.ActionLink("Change", "AddPhoneNumber")
                            @: &nbsp;|&nbsp;
                            @Html.ActionLink("Remove", "RemovePhoneNumber")
                        }
                        else
                        {
                            @Html.ActionLink("Add", "AddPhoneNumber")
                        }
                        ]
                    </p>
                    <p>
                        External Logins: @Model.Logins.Count
                        @Html.ActionLink("[Manage]", "ManageLogins")
                    </p>
                    @if (Model.TwoFactor)
                    {
                        using (Html.BeginForm("DisableTFA", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                        {
                            @Html.AntiForgeryToken()
                            <p>
                                Two factor is currently enabled:
                                <input type="submit" value="Disable" class="btn btn-default" />
                            </p>
                        }
                    }
                    else
                    {
                        using (Html.BeginForm("EnableTFA", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                        {
                            @Html.AntiForgeryToken()
                            <p>
                                Two factor is currently disabled:
                                <input type="submit" value="Enable" class="btn btn-default" />
                            </p>
                        }
                    }
                    @if (Model.BrowserRemembered)
                    {
                        using (Html.BeginForm("ForgetBrowser", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                        {
                            @Html.AntiForgeryToken()
                            <p>
                                Browser is curently remembered for two factor:
                                <input type="submit" value="Forget Browser" class="btn btn-default" />
                            </p>
                        }
                    }
                    else
                    {
                        using (Html.BeginForm("RememberBrowser", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                        {
                            @Html.AntiForgeryToken()
                            <p>
                                Browser is curently not remembered for two factor:
                                <input type="submit" value="Remember Browser" class="btn btn-default" />
                            </p>
                        }
                    }
                </section>
            </div>
            <div class="col-md-4">
                <p class="text-success">@ViewBag.StatusMessage</p>
            </div>
        </div>
    </div>
</section>
